Subject: Re: bug#60220: 29.0.60; macOS 13.1 crash shortly after starting Emacs

From: Aaron Jensen <[email-masked]>
Date: Tue, 20 Dec 2022 10:36:09 -0500

On Tue, Dec 20, 2022 at 10:31 AM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Aaron Jensen <[email-masked]>
> > Date: Tue, 20 Dec 2022 10:11:17 -0500
> >
> >
> > I've been seeing this crash somewhat frequently recently on emacs-29
> > master. It's possibly since updating to macOS Ventura (13.1). I can't
> > seem to reproduce it with debug symbols and a debugger attached, so this
> > may be the best I can provide right now. It tends to happen shortly
> > after I restart Emacs using `restart-emacs'. It also just happened
> > randomly while I didn't even have Emacs focused. I believe I have seen
> > it happen once when starting Emacs without a restart.
>
> I guess it means restarting Emacs on macOS is not safe.

Possibly. There's a lot going on in my config so I'm trying to pare it
down. I'll see if I can narrow it or eliminate it. It could be some
stale bytecode or binaries from my previous version of Emacs and/or
macOS dependencies. I'll effectively start from scratch and see if
that helps.

Aaron